View Issue Details

IDProjectCategoryView StatusLast Update
0003465FreeCADBugpublic2018-09-26 20:23
Reporterdbecad Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version16.04
Product Version0.18 
Target Version0.18Fixed in Version0.18 
Summary0003465: Groups breaking dependency graph
DescriptionPutting a body inside a group will break the dependency graph, all the internal objects are displayed outside. Bug was reproduced on 0.17 and 0.18 with 2 different version of graphViz.
Thanks!

Discussion track back:
Forum topic

Version Info:
OS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13509 (Git)
Build type: Release
Branch: releases/FreeCAD-0-17
Hash: 0258808ccb6ba3bd5ea9312f79cd023f1a8671b7
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: English/UnitedStates (en_US)
>>>GraphViz 2.38

--------------

OS: Ubuntu 16.04.4 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.13661 (Git)
Build type: None
Branch: master
Hash: 7fa81fd2e66a35b69a11c11bae38126eebac4b3f
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: English/UnitedStates (en_US)
>>>GraphViz 2.26

Steps To Reproduce- create new project
- create a group and a body
- drag body in a group
- open dependency graph

TagsNo tags attached.

Activities

Kunda1

2018-05-14 01:18

administrator   ~0011249

@wmayer care to weigh in on this ticket at your convenience ?

normandc

2018-06-11 20:09

manager   ~0011409

I think the problem goes deeper as this affects not only Groups but any link made to a Body from a non-PartDesign object.

Operations that will break a Body in the dependency graph (further tests needed to find more cases):

  • Creating a PartDesign Clone of a Body
  • Creating Draft objects from the Body (Clone, Array...)
  • Creating a Part Mirror from the Body
  • ...

wmayer

2018-09-26 20:23

administrator   ~0011858

https://github.com/FreeCAD/FreeCAD/commit/7fc487ae6fbe33a99d7985d9e4743b0f67cab273

Issue History

Date Modified Username Field Change
2018-05-08 14:51 dbecad New Issue
2018-05-08 15:35 chrisb Description Updated View Revisions
2018-05-14 01:18 Kunda1 Note Added: 0011249
2018-05-14 07:59 wmayer Status new => confirmed
2018-05-29 19:44 Kunda1 Target Version => 0.18
2018-06-11 20:09 normandc Note Added: 0011409
2018-09-26 20:23 wmayer Assigned To => wmayer
2018-09-26 20:23 wmayer Status confirmed => closed
2018-09-26 20:23 wmayer Resolution open => fixed
2018-09-26 20:23 wmayer Fixed in Version => 0.18
2018-09-26 20:23 wmayer Note Added: 0011858